/// 默认词条设置
class DefaultEntrySetting {
  DefaultEntrySetting._internal();

  static DefaultEntrySetting? _instance;

  /// 获取单例
  static DefaultEntrySetting get ins {
    if (_instance == null) {
      _instance = DefaultEntrySetting._internal();
    }
    return _instance!;
  }

  String _defaultEntry = '';
  String _defaultEntryCode = '';

  /// 默认词条
  String get defaultEntry => _defaultEntry;

  /// 默认词条code (暂未用到)
  String get defaultEntryCode => _defaultEntryCode;

  /// 设置默认打开状态
  void setDefaultEntry(String defaultEntry) {
    _defaultEntry = defaultEntry;
  }

  /// 从json中初始化数据
  void setDataFromJson(Map<String, dynamic> json) {
    _defaultEntry = json['defaultEntry'];
  }

  /// 当前实体转为json
  Map<String, dynamic> toJson() => {
        'defaultEntry': _defaultEntry,
      };
}
